save_figs = FALSE

x_1_grid = -4 + seq( -3, +3, length.out=50 )
x_2_grid = 3 + seq( -2, +2, length.out=70 )
F = outer(8*x_1_grid, 12*x_2_grid, '+') + outer(x_1_grid^2, -2*x_2_grid^2, '+')

if( save_figs ){ postscript('../../WriteUp/Graphics/Chapter2/contour_plot.eps', onefile=FALSE, horizontal=FALSE) }
contour(x_1_grid, x_2_grid, F, nlevels=20, xlab='x_1', ylab='x_2')
grid()
points(x=-4, y=3, cex=1.5, pch=19)
if( save_figs ){ dev.off() }
